LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Need help understanding SANE (https://www.linuxquestions.org/questions/linux-newbie-8/need-help-understanding-sane-397995/)

Texasbugsitter 12-30-2005 07:04 PM

Need help understanding SANE
 
New guy
I have an HP 3300C scanner. Using Mepis with SANE version 1.0.14-1, and SANE Utilities version 1.0.16-4. At the alioth.debian.org site
it has files for "sane front ends" and "sane back ends".

The SANE project site says my HP3300C scanner is supported in the SANE backend 1.0.17. This version adds the Niash (chip set in the scanner) driver necessary for the Hp 3300 C scanner.

Does the SANE package listed by MEPIS Synaptic Manager (as installed) include both the front end and backend packages?

I could download the tarball for the backend from the alioth.debian.org site but I wouldn't know how to tie it into everything else.

How and where would I go to update SANE to include the 1.0.17 backend so my scanner can work?

otchie1 12-31-2005 12:15 PM

backend = driver
frontend = GUI such as XSane (for X)

Mepis download = whole thing

Try just typing xsane on a command line. If you can't 'see' the scanner it may just be permissions...try xsane as root and then fix the underlying problem.

Texasbugsitter 12-31-2005 10:35 PM

Figured out SANE to work with my HP3300 scanner
 
I found out from searching the web that the libsane package is what holds the backend and updating to version 1.0.17-1 works as it
has the proper backend (Niash) driver for the HP3300.


All times are GMT -5. The time now is 10:02 AM.